# coding: utf-8
# vim: set et sw=4 ts=4 sts=4 nu ai cc=+0 fdm=indent mouse=a:

from pkg_resources import parse_version, DistributionNotFound, get_distribution
from msspec.misc import LOGGER
import os

try:
    # try to find the version from egg info file
    __version__ = get_distribution(__name__.strip('.version')).version
except DistributionNotFound:
    # otherwise try to get it from the SCM
    try:
        from setuptools_scm import get_version
        v = get_version(root='../../', relative_to=__file__, version_scheme="post-release")
        v = parse_version(v)
        if v._version.post[-1] == 0:
            __version__ = v.base_version
        else:
            __version__ = v.public
    except (LookupError, ModuleNotFoundError):
        # Ok, so there may be a VERSION file to look for it
        try:
            f = os.path.join(os.path.dirname(__file__), "../VERSION")
            with open(f, "r") as fd:
                __version__ = fd.read().strip('\n ')
        except:
            LOGGER.error("Unable to get the version number!")
